ALAS-2017-789


Amazon Linux AMI Security Advisory: ALAS-2017-789
Advisory Release Date: 2017-01-26 18:00 Pacific
Severity: Medium

Issue Overview:

The following security-related issues were fixed:

CVE-2017-3238 Server: Optimizer unspecified vulnerability
CVE-2017-3243 Server: Charsets unspecified vulnerability
CVE-2017-3244 Server: DML unspecified vulnerability
CVE-2017-3258 Server: DDL unspecified vulnerability
CVE-2017-3313 Server: MyISAM unspecified vulnerability
CVE-2017-3317 Logging unspecified vulnerability
CVE-2017-3318 Server: Error Handling unspecified vulnerability


Affected Packages:

mysql55


Issue Correction:
Run yum update mysql55 to update your system.

New Packages:
i686:
    mysql-config-5.5.54-1.16.amzn1.i686
    mysql55-devel-5.5.54-1.16.amzn1.i686
    mysql55-embedded-devel-5.5.54-1.16.amzn1.i686
    mysql55-5.5.54-1.16.amzn1.i686
    mysql55-bench-5.5.54-1.16.amzn1.i686
    mysql55-server-5.5.54-1.16.amzn1.i686
    mysql55-embedded-5.5.54-1.16.amzn1.i686
    mysql55-debuginfo-5.5.54-1.16.amzn1.i686
    mysql55-test-5.5.54-1.16.amzn1.i686
    mysql55-libs-5.5.54-1.16.amzn1.i686

src:
    mysql55-5.5.54-1.16.amzn1.src

x86_64:
    mysql55-test-5.5.54-1.16.amzn1.x86_64
    mysql55-server-5.5.54-1.16.amzn1.x86_64
    mysql55-5.5.54-1.16.amzn1.x86_64
    mysql55-bench-5.5.54-1.16.amzn1.x86_64
    mysql55-embedded-devel-5.5.54-1.16.amzn1.x86_64
    mysql55-embedded-5.5.54-1.16.amzn1.x86_64
    mysql55-libs-5.5.54-1.16.amzn1.x86_64
    mysql-config-5.5.54-1.16.amzn1.x86_64
    mysql55-devel-5.5.54-1.16.amzn1.x86_64
    mysql55-debuginfo-5.5.54-1.16.amzn1.x86_64